package com.ruoyi.system.domain.banner;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 轮播图对象 banner
 * 
 * @author boman
 * @date 2024-01-22
 */
public class Banner extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long bannerId;

    /** 标题 */
    @Excel(name = "标题")
    private String title;

    /** 排序 */
    @Excel(name = "排序")
    private Integer sort;

    /** 是否删除 */
    @Excel(name = "是否删除")
    private String isDel;

    /** 图片地址 */
    @Excel(name = "图片地址")
    private String imgUrl;

    /** 三方链接 */
    @Excel(name = "三方链接")
    private String linkUrl;

    /** 内容 */
    @Excel(name = "内容")
    private String content;

    /** 类型  */
    @Excel(name = "类型 ")
    private Integer type;

    /** 状态 1:启用 2:不启用 */
    @Excel(name = "状态 1:启用 2:不启用")
    private String status;

    public void setBannerId(Long bannerId) 
    {
        this.bannerId = bannerId;
    }

    public Long getBannerId() 
    {
        return bannerId;
    }
    public void setTitle(String title) 
    {
        this.title = title;
    }

    public String getTitle() 
    {
        return title;
    }
    public void setSort(Integer sort) 
    {
        this.sort = sort;
    }

    public Integer getSort() 
    {
        return sort;
    }
    public void setIsDel(String isDel) 
    {
        this.isDel = isDel;
    }

    public String getIsDel() 
    {
        return isDel;
    }
    public void setImgUrl(String imgUrl) 
    {
        this.imgUrl = imgUrl;
    }

    public String getImgUrl() 
    {
        return imgUrl;
    }
    public void setLinkUrl(String linkUrl) 
    {
        this.linkUrl = linkUrl;
    }

    public String getLinkUrl() 
    {
        return linkUrl;
    }
    public void setContent(String content) 
    {
        this.content = content;
    }

    public String getContent() 
    {
        return content;
    }
    public void setType(Integer type) 
    {
        this.type = type;
    }

    public Integer getType() 
    {
        return type;
    }
    public void setStatus(String status) 
    {
        this.status = status;
    }

    public String getStatus() 
    {
        return status;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("bannerId", getBannerId())
            .append("title", getTitle())
            .append("sort", getSort())
            .append("isDel", getIsDel())
            .append("imgUrl", getImgUrl())
            .append("linkUrl", getLinkUrl())
            .append("content", getContent())
            .append("type", getType())
            .append("status", getStatus())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
